org.apache.ignite.internal.processors.cache

## Class WalStateProposeMessage

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.WalStateAbstractMessage
  - - org.apache.ignite.internal.processors.cache.WalStateProposeMessage

All Implemented Interfaces:
  Serializable, DiscoveryCustomMessage

    public class WalStateProposeMessage
    extends WalStateAbstractMessage

WAL state propose message.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`WalStateProposeMessage(UUID opId, int grpId, IgniteUuid grpDepId, UUID nodeId, Map<String,IgniteUuid> caches, boolean enable)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `affinityNode()`
`void` `affinityNode(boolean affNode)`
`Map<String,IgniteUuid>` `caches()`
`boolean` `enable()`
`UUID` `nodeId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.WalStateAbstractMessage

`ackMessage, createDiscoCache, exchangeMessage, exchangeMessage, groupDeploymentId, groupId, id, isMutable, needExchange, operationId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WalStateProposeMessage

    public WalStateProposeMessage(UUID opId,
                                  int grpId,
                                  IgniteUuid grpDepId,
                                  UUID nodeId,
                                  Map<String,IgniteUuid> caches,
                                  boolean enable)

Constructor.

Parameters:
  `opId` - Operation IDs.
  `grpId` - Expected group ID.
  `grpDepId` - Expected group deployment ID.
  `nodeId` - Node ID.
  `caches` - Expected cache names and their relevant deployment IDs.
  `enable` - WAL state flag.

### Method Detail

#### nodeId

    public UUID nodeId()

Returns:
  Node ID.

#### caches

    public Map<String,IgniteUuid> caches()

Returns:
  Caches.

#### enable

    public boolean enable()

Returns:
  WAL state flag.

#### affinityNode

    public boolean affinityNode()

Returns:
  Whether message is being handled on cache affintiy node.

#### affinityNode

    public void affinityNode(boolean affNode)

Parameters:
  `affNode` - Whether message is being handled on cache affintiy node.

#### toString

    public String toString()

Overrides:
  `toString` in class `WalStateAbstractMessage`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022